org.apache.hadoop.mapred

## Class ProgressSplitsBlock

- java.lang.Object
- - org.apache.hadoop.mapred.ProgressSplitsBlock

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class ProgressSplitsBlock
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `arrayGet(int[][] burstedBlock, int index)`
    `static int[]` | `arrayGetCPUTime(int[][] burstedBlock)`
    `static int[]` | `arrayGetPhysMemKbytes(int[][] burstedBlock)`
    `static int[]` | `arrayGetVMemKbytes(int[][] burstedBlock)`
    `static int[]` | `arrayGetWallclockTime(int[][] burstedBlock)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### arrayGet

          public static int[] arrayGet(int[][] burstedBlock,
                                       int index)

    - #### arrayGetWallclockTime

          public static int[] arrayGetWallclockTime(int[][] burstedBlock)

    - #### arrayGetCPUTime

          public static int[] arrayGetCPUTime(int[][] burstedBlock)

    - #### arrayGetVMemKbytes

          public static int[] arrayGetVMemKbytes(int[][] burstedBlock)

    - #### arrayGetPhysMemKbytes

          public static int[] arrayGetPhysMemKbytes(int[][] burstedBlock)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.